Package org.opensaml.xmlsec.signature.impl

# Class KeyInfoBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<KeyInfo>
org.opensaml.xmlsec.signature.impl.KeyInfoBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<KeyInfo>`, `XMLSignatureBuilder<KeyInfo>`

public class KeyInfoBuilder extends AbstractXMLObjectBuilder<KeyInfo> implements XMLSignatureBuilder<KeyInfo>
Builder of `KeyInfo`.

## Constructor Summary

Constructors
Constructor
Description
`KeyInfoBuilder()`

## Method Summary

Modifier and Type
Method
Description
`KeyInfo`
`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`KeyInfo`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### KeyInfoBuilder

public KeyInfoBuilder()

## Method Details

### buildObject

@Nonnull public KeyInfo buildObject(@Nullable String namespaceURI, @Nonnull String localName, @Nullable String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<KeyInfo>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<KeyInfo>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject

### buildObject

@Nonnull public KeyInfo buildObject()
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.

Specified by:
  `buildObject` in interface `XMLSignatureBuilder<KeyInfo>`
Returns:
  built XMLObject